# Generated from rails-fix-permissions-1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rails-fix-permissions

Name: rubygem-%{gem_name}
Version: 1.3
Release: 1%{?dist}
Summary: Simple script to fix Rails applications permissions mess
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Sometimes you mess your Rails application Unix permissions and get some
annoying errors with git. This gem runs a simple shell script to fix that.
Granting 755 permissions to folders and 644 to files, it also ensures that
some special files inside the 'bin/' will recive special 755 permissions
(bundle, rails, rake and spring) which is pretty much the Rails default. Works
with all versions of Ruby on Rails; After install run 'rails-fix-permissions'
on terminal inside the application folder to fix. Note that in some cases you
may need to run it as superuser with 'sudo'.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rails-fix-permissions
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Apr 20 2022 mockbuilder - 1.3-1
- Initial package
